XS(8)

NAME
xs - checksums

SYNOPSIS
xs [ -s ] [ -k keystring ] [ -f official-list ] file...

DESCRIPTION
Xs computes and reports checksums of named files, one report per line, in the form

    filename s1 s2 s3 s4

where the checksum comprises four groups of four hex digits each. The checksum algorithm may be perturbed by specifying a keystring argument. The -s argument causes the file's mode, label, owner and group to enter into the checksum calculation.

The -f argument causes xs to verify checksums of files against values given in the official-list file, which has the format of the output of an earlier xs run: lines consisting of one file name followed by four groups of hex digits per line. Text after a sign is ignored.

The checksum algorithm used is meant to be secure: to create a file whose checksum agrees with that of another given file is very difficult.

EXAMPLES
    xs -s `find /bin -print` | xs /dev/stdin

    This should return a different value if /bin changes in any way.